Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 29.984.073 Times

Netman 6.41

  Date Added: June 11, 2011  |  Visits: 94.270
5 Stars5 Stars5 Stars5 Stars5 Stars

Netman
Full screenshot

Report Broken Link
Printer Friendly Version


Product Homepage
Download (736002 downloads)

Netman is free, LAN-Penetrated, Antivirus-approved, PC remote control software. By inputting counterpart™s IP and control password, you can easily collaborate with your partners or control a remote PC without the counterpart™s awareness. When the remote PC is connected, you can view and record the desktop, control counterpart's mouse and keyboard, transfer files between PCs, communicate via video and audio, offer remote support, etc.

Features:
1. Remote Access. By inputting counterpart™s IP and control password, you can connect to any computers installed with Netman, view desktop, transfer files, chat via video and audio, etc. Besides you can switch over and let your partner view your desktop. Furthermore, the powerful LAN-Penetrated feature enables you to connect with your LAN partners and increase the productivity of your team.

2. Monitor and Control Your Partner. Apart from collaborating with your partners, you can also monitor from background, turn on PC camera, transfer files without counterpart™s awareness, record videos of desktop and camera, etc.

3. High Security and Antivirus-Approved. The treble password that Netman adopts ensures you high security protection against unauthorized access. Besides it is recognized by major Antivirus owing to its advanced safety technology.

4. Turn on Your Partner™s PC Camera. You can remotely turn on the camera connected to partner's computer in stealth mode; record video of your partner; chat with your partner; or start an online meeting.

5. Remote Boot, Restart, Logoff and Shutdown. You can remotely turn on your PC that is equipped with Netman Computer Starter (hardware), by simply dialing the phone number or cellphone number combined with the starter.

6. File Transfer and Management. You can transfer files between computers with high speed; modify files ; create new files and folders; delete files, etc.

7. Remote PC Support. Remotely offer PC support to your friends or partners who are not tech-savvy.

Requirements: No special requirements
Release Date: May 31, 2011
Platforms: Windows 98, Windows Me, Windows NT 3.x, Windows NT 4.x, Windows 2000, Windows XP, Windows 2003, Windows Vista Starter, Windows Vista Home Basic, Windows Vista Home Premium, Windows Vista Business, Windows Vista Enterprise, Windows Vista Ultimate, Windows Vista Home Basic x64, Windows Vista Home Premium x64, Windows Vista Business x64, Windows Vista Enterprise x64, Windows Vista Ultimate x64
Keyword: Computer Remote Access Computer Remote Control Computer Remote Monitor Control Computer File Transfer Monitor Computer Pc Remote Control Remote Support
Version 6.41 Changes: Fix connection bugs.
Users rating: 7/10

License: Freeware Size: 2.93 MB
USER REVIEWS
( 7 January 2015, 10:33)

Comments:

This remote control program is not much user friendly.
Ease of use : 2 Stars2 Stars2 Stars2 Stars2 Stars
Functionality : 2 Stars2 Stars2 Stars2 Stars2 Stars
Value for money : 2 Stars2 Stars2 Stars2 Stars2 Stars
Overall score : 2 Stars2 Stars2 Stars2 Stars2 Stars
 
( 1 February 2014, 10:00)

Comments:

Super remote connect tool. It's very simple and easy to use.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
( 9 September 2009, 06:32)

Comments:

It's really a great remote tool
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
More Reviews or Write Review
NETMAN RELATED
Remote Computing Tools  -  NTRconnect Remote Access for Mac 2.0
Secure remote access to your PC or Mac from any computer at any time. NTRconnect Free offers easy access free of charge to all your applications, files, folders and email for up to two computers. NTRconnect Pro includes all the features of...
564.25 KB  
Remote Computing Tools  -  NTRconnect Remote Access for Linux 2.0
Secure remote access to PC or Mac at anytime from any computer. NTRconnect Free offers access to e-mail, files and folders on up to two computers. NTRconnect Pro is a complete remote access solution for taking full control of any remote computer...
480.13 KB  
Network & Internet  -  Remote Access Host 4. 2. 2001
Remote Access is a free program to access your computer connected to the Internet from anywhere in the world. The Remote Access Host has to be installed in the remote machine which you wish to access remotely and the Remote Access Viewer has to be...
1.68 MB  
Windows Software  -  ThinVNC Remote Access Server 1.0.0.21
ThinVNC Remote Access Server grants full-external HTML5 Remote Desktop Access to any PC within the corporate LAN/WAN, administering and redirecting ThinVNC's HTTPS/WebSockets traffic. With the ability to define users and PCs, ThinVNC Remote Access...
7.8 MB  
ActiveX Components  -  Catalyst File Transfer
The Catalyst File Transfer ActiveX control enables developers to easily integrate file transfer functionality within their applications. The control implements the standard protocols for sending and receiving files over the Internet
2.53 KB  
Remote Computing Tools  -  Remote Administrator Control Client 4.0.5
With Remote Administrator Control you can work without any limits on a remote computer with operation system Windows, as if working on your local computer. You can connect through Internet/Intranet network with the TCP/IP protocol....
6.82 MB  
Remote Computing Tools  -  Remote Administrator Control Client Lite 4.0.0
With Remote Administrator Control you can work without any limits on a remote computer with operation system Windows, as if working on your local computer. You can connect through Internet/Intranet network with the TCP/IP protocol. You can also...
6.82 MB  
Remote Computing Tools  -  z/Scope Anywhere Free 6.2.1
Access any computer from anywhere in the world. z/Scope Anywhere is the ultimate Remote Access software featuring Microsoft Remote Desktop and VNC access with SSH/2 AES 128-bit tunneling. Free subscription: * 100% free to use! *...
4.78 MB  
Remote Computing Tools  -  VNC Free Edition 4.1.3
VNC is remote control software which allows you to view and fully interact with one computer desktop (the "VNC server") using a simple program (the "VNC viewer") on another computer desktop anywhere on the Internet. The two computers don't even...
1024 KB  
Remote Computing Tools  -  Takemote 1.2.4
Takemote is a Wezarp technology software. It aims to visualize and control any Windows application or Desktop with a tablet, a smartphone or a remote computer (iOS, Windows and Android). It's easy, multi-client, multi-window and multi-control....
120.74 MB  
NEW DOWNLOADS IN WINDOWS SOFTWARE
Windows Software  -  Movie Box App 3.3.8
Movie Box is Best Application for watching movie, TV shows , Music video, here you to give us clear step by step guide how to download and install Moive Box for Android , all user can free download Movie Box and most user friendly apps. All PC or...
67.23 KB  
Windows Software  -  Cydia Download 1.1.10
This is one of the best freeware released for users. What is Cydia Download ? This is simple downloader which has developed for install Cydia for your device less than ten minutes of time. This freeware is important for all jailbreak users. You...
67.23 KB  
Windows Software  -  Jihosoft iOS10 Backup Extractor 7.0.7
What can you do to extract and recover your iPhone data if you get them lost for the following reasons: 1.Deleted important data from iPhone by mistake. 2.iPhone is damaged, lost or stolen. 3.iPhone stuck in black/white screen of death, iPhone...
16.5 MB  
Windows Software  -  Screenshot Captor 4.15.0
Screenshot Captor is designed for grabbing lots of screenshots with minimal intervention. It has great multimon suport and includes a full image explorer with full shell functionality and unsurpassed integration with external tools like graphic...
7.15 MB  
Windows Software  -  MonitorPack Guard 5.4.1
MonitorPack provides Windows tools at no cost for server monitoring, IT asset management and help Desk solution, optional Cloud Solution (IaaS or Infrastructure as a Service) Cloud Application (Platform as a Service) and software on demand (SaaS...
11.01 MB  
Windows Software  -  W32/Fsysna Free Trojan Removal Tool 1.0
W32/Fsysna Free Trojan Removal Tool will detect and remove W32/Fsysna Trojan completely, from your system. Download cleanfsysna.exe and save it in a temporary directory. Double click on cleanfsysna.exe to execute it. Follow the user-friendly...
526 KB  
Windows Software  -  All Free WebM to MP4 Converter 7.4.8
WebM format is more and more popular nowadays and you may have downloaded thousands of WebM video files from YouTube-like video sharing sites. But as a web video format, this kind of video still cannot be supported by all of OSes and portable...
4.75 MB  
Windows Software  -  All Free WMA to MP3 Converter 7.4.8
This free WMA to MP3 converter makes it easy to convert WMA to MP3 to play music on any portable devices or for other usages like music exchange, audio CD/DVD burning, online broadcasting, embedding on website/blog/forum, and so on. It also...
4.76 MB  
Windows Software  -  MediaProSoft Free WMA to MP3 Converter 6.4.3
To enjoy your WMA on your iPod, mobile phone or other MP3 players, an efficient solution for this is to convert WMA to a compatible audio format such as the universally accepted MP3 format. MediaProSoft Free WMA to MP3 Converter helps you...
5.01 MB  
Windows Software  -  MediaProSoft Free WebM to MP4 Converter 6.4.3
WebM is an audio-video format designed to provide a royalty-free, open video compression format for use with HTML5 video. But many portable devices don't support for playing WebM files. MediaProSoft Free WebM to MP4 Converter, as an ideal video...
5.01 MB